#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
    char TabChar[10];
    int TabInt[10];

    printf("taille d'un          char =  %d octet\n",sizeof( char ));
    printf("taille d'un unsigned char =  %d octet\n",sizeof( unsigned char ));

    printf("taille d'un          int  =  %d octets\n",sizeof( int ));
    printf("taille d'un unsigned int  =  %d octets\n",sizeof( unsigned int ));
    printf("taille d'un short    int  =  %d octets\n",sizeof( short int ));

    printf("taille d'un float         =  %d octets\n",sizeof( float ));
    printf("taille d'un double        =  %d octets\n",sizeof( double ));
    printf("taille d'un long double   =  %d octets\n\n",sizeof( long double ));

    printf("taille du tableau char TabChar[10] = %d octets\n",sizeof( TabChar ));
    printf("taille du tableau int  TabInt[10]  = %d octets\n",sizeof( TabInt ));

    getch();
  return 0;
}
